﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) DC Balance VER VISA
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Trigger Output VISA
DATE:                  2014-12-17 08:08:21
AUTHOR:                Fluke
REVISION:              $Revision: 23178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       31
NUMBER OF LINES:       471
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#    DPO4014B,   DPO4034B,   DPO4054B,   DPO4102B(-L), DPO4104B(-L)
#    MSO4014B,   MSO4034B,   MSO4054B,   MSO4102B(-L), MSO4104B(-L)
#    MDO4014-3,  MDO4034-3,  MDO4054-3,  MDO4054-6,    MDO4104-3,  MDO4104-6
#    MDO4014B-3, MDO4034B-3, MDO4054B-3, MDO4054B-6,   MDO4104B-3, MDO4104B-6
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        Cable, BNC (m)-(m), 50 Ohm, 36", 10 MHz
#        50 Ohm feed through teminator
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA

  1.002  JMPL         DC_BALANCE                   PSUBI("DC Balance")
  1.003  JMPL         TRIGGER_OUTPUT               PSUBI("Trigger Output")
  1.004  DISP         Undefined subprocedure!
  1.005  END

  1.006  EVAL   Increment step number

# =====  Sub Tek DPO4000B (1 yr) DC Balance VER VISA  =======================

  2.001  LABEL        DC_BALANCE

  2.002  RSLT         =
  2.003  HEAD         {DC BALANCE: Channel [V @Chan]}
  2.004  RSLT         =
  2.005  HEAD         -2 {50 Ohm, 20 MHz Bandwidth}: 1 mV/div
  2.006  TARGET       -p

  2.007  IF           @Chan == 1

  2.008  IF           @NumChan == 2
  2.009  DISP         Connect a 50 Ohm feedthrough termination to each
  2.009  DISP         DUT channel: 1, 2.
  2.010  ELSE
  2.011  DISP         Connect a 50 Ohm feedthrough termination to each
  2.011  DISP         DUT channel: 1, 2, 3 and 4.
  2.012  ENDIF

  2.013  ENDIF        ;@Chan == 1

  2.014  TSET         TDESC = 1 mV/div
  2.015  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU LINE
  2.016  VISA         MEASU:IMMED:SOU CH[V @Chan];TYPE MEAN
  2.017  VISA         CH[V @Chan]:SCA 1E-3;TER 50;BAN TWE;:HOR:SCA 1E-3
  2.018  VISA         ACQ:STATE STOP;MODE AVE;NUMAV 16;STOPAFTER SEQ
  2.019  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.020  JMPL         END                          @Abort
  2.021  TARGET       -m
  2.022  VISA         ACQ:STATE RUN
  2.023  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.024  JMPL         END                          @Abort
  2.025  VISA         MEASU:IMM:VAL?[I]
  2.026  MATH         MEM = MEM / 1E-3
  2.027  MEMCX        0.00mV         0.20U

  3.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 2 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 2 mV/div
  3.004  VISA         CH[V @Chan]:SCA 2E-3
  3.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.006  JMPL         END                          @Abort
  3.007  TARGET       -m
  3.008  VISA         ACQ:STATE RUN
  3.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.010  JMPL         END                          @Abort
  3.011  VISA         MEASU:IMM:VAL?[I]
  3.012  MATH         MEM = MEM / 1E-3
  3.013  MEMCX        0.00mV         0.20U

  4.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 5 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 5 mV/div
  4.004  VISA         CH[V @Chan]:SCA 5E-3
  4.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.006  JMPL         END                          @Abort
  4.007  TARGET       -m
  4.008  VISA         ACQ:STATE RUN
  4.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.010  JMPL         END                          @Abort
  4.011  VISA         MEASU:IMM:VAL?[I]
  4.012  MATH         MEM = MEM / 1E-3
  4.013  MEMCX        0.00mV         0.50U

  5.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 10 mV/div
  5.002  TARGET       -p
  5.003  TSET         TDESC = 10 mV/div
  5.004  VISA         CH[V @Chan]:SCA 10E-3
  5.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.006  JMPL         END                          @Abort
  5.007  TARGET       -m
  5.008  VISA         ACQ:STATE RUN
  5.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.010  JMPL         END                          @Abort
  5.011  VISA         MEASU:IMM:VAL?[I]
  5.012  MATH         MEM = MEM / 1E-3
  5.013  MEMCX        0.00mV         1.00U

  6.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 20 mV/div
  6.002  TARGET       -p
  6.003  TSET         TDESC = 20 mV/div
  6.004  VISA         CH[V @Chan]:SCA 20E-3
  6.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.006  JMPL         END                          @Abort
  6.007  TARGET       -m
  6.008  VISA         ACQ:STATE RUN
  6.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.010  JMPL         END                          @Abort
  6.011  VISA         MEASU:IMM:VAL?[I]
  6.012  MATH         MEM = MEM / 1E-3
  6.013  MEMCX        0.00mV         2.00U

  7.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 49.8 mV/div
  7.002  TARGET       -p
  7.003  TSET         TDESC = 49.8 mV/div
  7.004  VISA         CH[V @Chan]:SCA 49.8E-3
  7.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.006  JMPL         END                          @Abort
  7.007  TARGET       -m
  7.008  VISA         ACQ:STATE RUN
  7.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.010  JMPL         END                          @Abort
  7.011  VISA         MEASU:IMM:VAL?[I]
  7.012  MATH         MEM = MEM / 1E-3
  7.013  MEMCX        0.00mV         4.98U

  8.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 50 mV/div
  8.002  TARGET       -p
  8.003  TSET         TDESC = 50 mV/div
  8.004  VISA         CH[V @Chan]:SCA 50E-3
  8.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.006  JMPL         END                          @Abort
  8.007  TARGET       -m
  8.008  VISA         ACQ:STATE RUN
  8.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.010  JMPL         END                          @Abort
  8.011  VISA         MEASU:IMM:VAL?[I]
  8.012  MATH         MEM = MEM / 1E-3
  8.013  MEMCX        0.00mV         5.00U

  9.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 100 mV/div
  9.002  TARGET       -p
  9.003  TSET         TDESC = 100 mV/div
  9.004  VISA         CH[V @Chan]:SCA 100E-3
  9.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.006  JMPL         END                          @Abort
  9.007  TARGET       -m
  9.008  VISA         ACQ:STATE RUN
  9.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  9.010  JMPL         END                          @Abort
  9.011  VISA         MEASU:IMM:VAL?[I]
  9.012  MATH         MEM = MEM / 1E-3
  9.013  MEMCX        0.00mV         10.00U

 10.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 200 mV/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 200 mV/div
 10.004  VISA         CH[V @Chan]:SCA 200E-3
 10.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.006  JMPL         END                          @Abort
 10.007  TARGET       -m
 10.008  VISA         ACQ:STATE RUN
 10.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.010  JMPL         END                          @Abort
 10.011  VISA         MEASU:IMM:VAL?[I]
 10.012  MATH         MEM = MEM / 1E-3
 10.013  MEMCX        0.00mV         20.00U

 11.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 500 mV/div
 11.002  TARGET       -p
 11.003  TSET         TDESC = 500 mV/div
 11.004  VISA         CH[V @Chan]:SCA 500E-3
 11.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.006  JMPL         END                          @Abort
 11.007  TARGET       -m
 11.008  VISA         ACQ:STATE RUN
 11.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.010  JMPL         END                          @Abort
 11.011  VISA         MEASU:IMM:VAL?[I]
 11.012  MATH         MEM = MEM / 1E-3
 11.013  MEMCX        0.00mV         50.00U

 12.001  HEAD         -2 50 Ohm, 20 MHz Bandwidth: 1 V/div
 12.002  TARGET       -p
 12.003  TSET         TDESC = 1 V/div
 12.004  VISA         CH[V @Chan]:SCA 1
 12.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.006  JMPL         END                          @Abort
 12.007  TARGET       -m
 12.008  VISA         ACQ:STATE RUN
 12.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.010  JMPL         END                          @Abort
 12.011  VISA         MEASU:IMM:VAL?[I]
 12.012  MATH         MEM = MEM / 1E-3
 12.013  MEMCX        0.00mV         100.00U

 13.001  RSLT         =
 13.002  HEAD         -2 {1 MOhm, 20 MHz Bandwidth}: 1 mV/div

# MDO4000B uses a different specification.
 13.003  IF           FINDI(@DUT_Model, "MDO", 0) && FINDI(@DUT_Model, "B", 0)
 13.004  TOL          0.225U
 13.005  ELSE
 13.006  TOL          0.20U
 13.007  ENDIF

 13.008  TARGET       -p
 13.009  TSET         TDESC = 1 mV/div
 13.010  VISA         CH[V @Chan]:SCA 1E-3;TER 1E+6
 13.011  VISA         HOR:SCA 1E-3
 13.012  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.013  JMPL         END                          @Abort
 13.014  TARGET       -m
 13.015  VISA         ACQ:STATE RUN
 13.016  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.017  JMPL         END                          @Abort
 13.018  VISA         MEASU:IMM:VAL?[I]
 13.019  MATH         MEM = MEM / 1E-3
 13.020  MEMCX        0.000mV        TOL

 14.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 2 mV/div
 14.002  TARGET       -p
 14.003  TSET         TDESC = 2 mV/div
 14.004  VISA         CH[V @Chan]:SCA 2E-3
 14.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.006  JMPL         END                          @Abort
 14.007  TARGET       -m
 14.008  VISA         ACQ:STATE RUN
 14.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.010  JMPL         END                          @Abort
 14.011  VISA         MEASU:IMM:VAL?[I]
 14.012  MATH         MEM = MEM / 1E-3
 14.013  MEMCX        0.00mV         0.40U

 15.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 5 mV/div
 15.002  TARGET       -p
 15.003  TSET         TDESC = 5 mV/div
 15.004  VISA         CH[V @Chan]:SCA 5E-3
 15.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.006  JMPL         END                          @Abort
 15.007  TARGET       -m
 15.008  VISA         ACQ:STATE RUN
 15.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.010  JMPL         END                          @Abort
 15.011  VISA         MEASU:IMM:VAL?[I]
 15.012  MATH         MEM = MEM / 1E-3
 15.013  MEMCX        0.00mV         1.00U

 16.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 10 mV/div
 16.002  TARGET       -p
 16.003  TSET         TDESC = 10 mV/div
 16.004  VISA         CH[V @Chan]:SCA 10E-3
 16.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.006  JMPL         END                          @Abort
 16.007  TARGET       -m
 16.008  VISA         ACQ:STATE RUN
 16.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.010  JMPL         END                          @Abort
 16.011  VISA         MEASU:IMM:VAL?[I]
 16.012  MATH         MEM = MEM / 1E-3
 16.013  MEMCX        0.00mV         2.00U

 17.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 20 mV/div
 17.002  TARGET       -p
 17.003  TSET         TDESC = 20 mV/div
 17.004  VISA         CH[V @Chan]:SCA 20E-3
 17.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.006  JMPL         END                          @Abort
 17.007  TARGET       -m
 17.008  VISA         ACQ:STATE RUN
 17.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 17.010  JMPL         END                          @Abort
 17.011  VISA         MEASU:IMM:VAL?[I]
 17.012  MATH         MEM = MEM / 1E-3
 17.013  MEMCX        0.00mV         4.00U

 18.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 100 mV/div
 18.002  TARGET       -p
 18.003  TSET         TDESC = 100 mV/div
 18.004  VISA         CH[V @Chan]:SCA 100E-3
 18.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.006  JMPL         END                          @Abort
 18.007  TARGET       -m
 18.008  VISA         ACQ:STATE RUN
 18.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 18.010  JMPL         END                          @Abort
 18.011  VISA         MEASU:IMM:VAL?[I]
 18.012  MATH         MEM = MEM / 1E-3
 18.013  MEMCX        0.00mV         20.00U

 19.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 500 mV/div
 19.002  TARGET       -p
 19.003  TSET         TDESC = 500 mV/div
 19.004  VISA         CH[V @Chan]:SCA 500E-3
 19.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.006  JMPL         END                          @Abort
 19.007  TARGET       -m
 19.008  VISA         ACQ:STATE RUN
 19.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 19.010  JMPL         END                          @Abort
 19.011  VISA         MEASU:IMM:VAL?[I]
 19.012  MATH         MEM = MEM / 1E-3
 19.013  MEMCX        0.00mV         100.00U

 20.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 1 V/div
 20.002  TARGET       -p
 20.003  TSET         TDESC = 1 V/div
 20.004  VISA         CH[V @Chan]:SCA 1
 20.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.006  JMPL         END                          @Abort
 20.007  TARGET       -m
 20.008  VISA         ACQ:STATE RUN
 20.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 20.010  JMPL         END                          @Abort
 20.011  VISA         MEASU:IMM:VAL?[I]
 20.012  MATH         MEM = MEM / 1E-3
 20.013  MEMCX        0.00mV         200.00U

 21.001  HEAD         -2 1 MOhm, 20 MHz Bandwidth: 10 V/div
 21.002  TARGET       -p
 21.003  TSET         TDESC = 10 V/div
 21.004  VISA         CH[V @Chan]:SCA 10
 21.005  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.006  JMPL         END                          @Abort
 21.007  TARGET       -m
 21.008  VISA         ACQ:STATE RUN
 21.009  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 21.010  JMPL         END                          @Abort
 21.011  VISA         MEASU:IMM:VAL?[I]
 21.012  MEMCX        0.00V          2.00U

 22.001  IF           @Bandwidth >= 250E+6
 22.002  RSLT         =
 22.003  HEAD         -2 {50 Ohm, 250 MHz Bandwidth}: 20 mV/div
 22.004  TARGET       -p
 22.005  TSET         TDESC = 20 mV/div
 22.006  VISA         CH[V @Chan]:SCA 20E-3;TER 50;BAN TWO
 22.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.008  JMPL         END                          @Abort
 22.009  TARGET       -m
 22.010  VISA         ACQ:STATE RUN
 22.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 22.012  JMPL         END                          @Abort
 22.013  VISA         MEASU:IMM:VAL?[I]
 22.014  MATH         MEM = MEM / 1E-3
 22.015  MEMCX        0.00mV         2.00U

 23.001  RSLT         =
 23.002  HEAD         -2 {1 MOhm, 250 MHz Bandwidth}: 20 mV/div
 23.003  TARGET       -p
 23.004  TSET         TDESC = 20 mV/div
 23.005  VISA         CH[V @Chan]:TER 1E+6
 23.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 23.007  JMPL         END                          @Abort
 23.008  TARGET       -m
 23.009  VISA         ACQ:STATE RUN
 23.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 23.011  JMPL         END                          @Abort
 23.012  VISA         MEASU:IMM:VAL?[I]
 23.013  MATH         MEM = MEM / 1E-3
 23.014  MEMCX        0.00mV         4.00U
 24.001  ENDIF

 24.002  RSLT         =
 24.003  HEAD         -2 {50 Ohm, Full Bandwidth}: 20 mV/div
 24.004  TARGET       -p
 24.005  TSET         TDESC = 20 mV/div
 24.006  VISA         CH[V @Chan]:SCA 20E-3;TER 50;BAN FUL
 24.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.008  JMPL         END                          @Abort
 24.009  TARGET       -m
 24.010  VISA         ACQ:STATE RUN
 24.011  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 24.012  JMPL         END                          @Abort
 24.013  VISA         MEASU:IMM:VAL?[I]
 24.014  MATH         MEM = MEM / 1E-3
 24.015  MEMCX        0.00mV         2.00U

 25.001  RSLT         =
 25.002  HEAD         -2 {1 MOhm, Full Bandwidth}: 20 mV/div
 25.003  TARGET       -p
 25.004  TSET         TDESC = 20 mV/div
 25.005  VISA         CH[V @Chan]:TER 1E+6
 25.006  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 25.007  JMPL         END                          @Abort
 25.008  TARGET       -m
 25.009  VISA         ACQ:STATE RUN
 25.010  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 25.011  JMPL         END                          @Abort
 25.012  VISA         MEASU:IMM:VAL?[I]
 25.013  MATH         MEM = MEM / 1E-3
 25.014  MEMCX        0.00mV         4.00U

 26.001  LABEL        END
 26.002  HEAD         -2
 26.003  HEAD
 26.004  END

 26.005  EVAL   Increment step number

# =====  Sub Tek DPO4000B (1 yr) Trigger Output VER VISA  ===================

 27.001  LABEL        TRIGGER_OUTPUT
 27.002  RSLT         =
 27.003  HEAD         {TRIGGER OUTPUT}
 27.004  TARGET       -p
 27.005  HEAD         -2 1 MOhm High
 27.006  VISA         CH1:TER 1E+6;SCA 1;:HOR:SCA 4E-6
 27.007  VISA         MEASU:MEAS1:SOU CH1;TYPE HIGH;STATE ON
 27.008  VISA         MEASU:MEAS2:SOU CH1;TYPE LOW;STATE ON
 27.009  DISP         Connect the DUT AUX OUT (on rear) to DUT CH1
 27.009  DISP         via a BNC(m)-(m) 50 ohm cable.
 27.010  WAIT         -t 3 System Settling ...
 27.011  TARGET       -m
 27.012  VISA         [D500]MEASU:MEAS1:VAL?[I]
 27.013  EVAL   -e (MEM >= 2.5) : High 1 MOhm (>= 2.5 V)

 28.001  HEAD         -2 1 MOhm Low
 28.002  VISA         [D500]MEASU:MEAS2:VAL?[I]
 28.003  EVAL   -e (MEM <= 0.7) : Low  1 MOhm (<= 0.7 V)

 29.001  HEAD         -2 50 Ohm High
 29.002  TARGET       -p
 29.003  VISA         CH1:TER 50
 29.004  WAIT         -t 3 System Settling ...
 29.005  TARGET       -m
 29.006  VISA         [D500]MEASU:MEAS1:VAL?[I]
 29.007  EVAL   -e (MEM >= 1)    : High 50 Ohm (>= 1.0 V)

 30.001  HEAD         -2 50 Ohm Low
 30.002  VISA         [D500]MEASU:MEAS2:VAL?[I]
 30.003  EVAL   -e (MEM <= 0.25) : Low  50 Ohm (<= 0.25 V)

 31.001  HEAD         -2
 31.002  VISA         MEASU:MEAS1:STATE OFF
 31.003  VISA         MEASU:MEAS2:STATE OFF
 31.004  HEAD
 31.005  END
