﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek MSO (1 yr) Digital Theshold Test VISA /9500
DATE:                  2013-07-25 08:54:35
AUTHOR:                Fluke
REVISION:              $Revision: 23178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       75
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#        MSO4032, MSO4034, MSO4054, MSO4104
#        MSO4034B, MSO4054B, MSO4104
#        MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#        MSO5034, MSO5054, MSO5104, MSO5204
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        Digital Calibration Fixture (PN 174-4535-00)
#          MSO4032, MSO4034, MSO4054, MSO4104
#        TCFA074 Digital Calibration Fixture (PN 067-2121-00)
#          MSO4014B, MSO4034B, MSO4054B, MSO4102B(-L), MSO4104B(-L)
#          MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#          MSO5034, MSO5054, MSO5104, MSO5204
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  9500         4.5V                                              S  L
  1.003  ENDIF

  1.004  HEAD         -2 Channel [V @DChan]
  1.005  MATH         MEM  = MGET(@DChan + @iVolt)
  1.006  MATH         L[1] = MGET(@DChan + @iAcc)
  1.007  JMPL         TEST

# Get new data if operator selects Repeat or Cancel in Post Test dialog.
  1.008  TARGET
  1.009  MATH         @ShowConnection = 1
  1.010  CALL         Sub Tek MSO Get Digital Threshold Values VISA /9500

  1.011  IF           @Abort
  1.012  END
  1.013  ENDIF

  1.014  LABEL        TEST
# Due to the nature of this test, multiple measurements are not supported.
  1.015  TSET         TDESC = Ch [V @DChan]; NTHROW = 0; NMEAS = 1
  1.016  TSET         CPT = [V @Threshold]; UUT_Res = 0.01
  1.017  ACC          V              L1U
  1.018  MATH         MEM1 = @Threshold
  1.019  MEMCX        V              TOL

  2.001  END
